#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

BOOL WINAPI
RemoveDirectory(LPCWSTR lpPathName)
{
	char *path;
	BOOL b;

	if(win_useunicode)
		return RemoveDirectoryW(lpPathName);
	path = win_wstr2utf(lpPathName);
	b = RemoveDirectoryA(path);
	win_free(path);
	return b;
}
